package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class ManagementConsoleNetworkInterface {
    private Metadata metadata;
    private InterfaceName interfaceName;
    private NetworkAddress networkAddress;

    public ManagementConsoleNetworkInterface() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public InterfaceName getInterfaceName() {
        return interfaceName;
    }

    public void setInterfaceName(InterfaceName interfaceName) {
        this.interfaceName = interfaceName;
    }

    public NetworkAddress getNetworkAddress() {
        return networkAddress;
    }

    public void setNetworkAddress(NetworkAddress networkAddress) {
        this.networkAddress = networkAddress;
    }

    @Override
    public String toString() {
        return "ManagementConsoleNetworkInterface [metadata=" + metadata
            + ", interfaceName=" + interfaceName + ", networkAddress=" + networkAddress + "]";
    }
}
